<?php

/**
 * Plugin Name: Custom Breakpoints for Elementor
 * Description: Elementor Custom Breakpoint Created by <a href="https://master-addons.com/custom-breakpoints/" target="_blank">Master Addons</a>
 * Plugin URI:  https://master-addons.com/
 * Version:     3.0.0
 * Author:      Jewel Theme
 * Author URI:  https://master-addons.com/custom-breakpoints/
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: custom-breakpoints-for-elementor
 * Domain Path: /languages
 * Elementor tested up to: 3.33.4
 * Elementor Pro tested up to: 3.33.1
 * 
 */
defined( 'ABSPATH' ) || exit;
$jltma_custom_breakpoints_plugin_data = get_file_data( __FILE__, array(
    'Version'     => 'Version',
    'Plugin Name' => 'Plugin Name',
    'Author'      => 'Author',
    'Description' => 'Description',
    'Plugin URI'  => 'Plugin URI',
), false );
if ( !defined( 'JLTMA_MCB' ) ) {
    define( 'JLTMA_MCB', $jltma_custom_breakpoints_plugin_data['Plugin Name'] );
}
if ( !defined( 'JLTMA_MCB_PLUGIN_DESC' ) ) {
    define( 'JLTMA_MCB_PLUGIN_DESC', $jltma_custom_breakpoints_plugin_data['Description'] );
}
if ( !defined( 'JLTMA_MCB_VERSION' ) ) {
    define( 'JLTMA_MCB_VERSION', $jltma_custom_breakpoints_plugin_data['Version'] );
}
if ( !defined( 'JLTMA_MCB_TD' ) ) {
    define( 'JLTMA_MCB_TD', 'custom-breakpoints-for-elementor' );
}
if ( !defined( 'JLTMA_MCB_PLUGIN_PATH' ) ) {
    define( 'JLTMA_MCB_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
}
if ( !defined( 'JLTMA_MCB_PLUGIN_URL' ) ) {
    define( 'JLTMA_MCB_PLUGIN_URL', plugins_url( '/', __FILE__ ) );
}
if ( !defined( 'JLTMA_MCB_PLUGIN_DIR' ) ) {
    define( 'JLTMA_MCB_PLUGIN_DIR', plugin_basename( __FILE__ ) );
}
if ( !function_exists( 'jltma_cbfe' ) ) {
    // Create a helper function for easy SDK access.
    function jltma_cbfe() {
        global $jltma_cbfe;
        if ( !isset( $jltma_cbfe ) ) {
            // Activate multisite network integration.
            if ( !defined( 'WP_FS__PRODUCT_22184_MULTISITE' ) ) {
                define( 'WP_FS__PRODUCT_22184_MULTISITE', true );
            }
            // Include Freemius SDK.
            // SDK is auto-loaded through Composer
            // Include Freemius SDK.
            require_once __DIR__ . '/lib/freemius/start.php';
            $jltma_cbfe = fs_dynamic_init( array(
                'id'                  => '22184',
                'slug'                => 'custom-breakpoints-for-elementor',
                'type'                => 'plugin',
                'public_key'          => 'pk_6e6f38dff3de46f1129c72463e152',
                'is_premium'          => false,
                'has_addons'          => false,
                'has_paid_plans'      => true,
                'menu'                => array(
                    'slug'       => 'custom-breakpoints-for-elementor',
                    'first-path' => 'admin.php?page=custom-breakpoints-for-elementor',
                    'account'    => true,
                    'contact'    => false,
                    'pricing'    => true,
                    'support'    => false,
                ),
                'parallel_activation' => array(
                    'enabled'                  => true,
                    'premium_version_basename' => 'custom-breakpoints-for-elementor-premium/custom-breakpoints-for-elementor.php',
                ),
                'is_live'             => true,
            ) );
        }
        return $jltma_cbfe;
    }

    // Init Freemius.
    jltma_cbfe();
    // Disable automatic plugin deactivation on activation
    jltma_cbfe()->add_filter( 'deactivate_on_activation', '__return_false' );
    // Signal that SDK was initiated.
    do_action( 'jltma_cbfe_loaded' );
}
// Activation and Deactivation hooks
if ( !class_exists( '\\MasterCustomBreakPoint\\JLTMA_Master_Custom_Breakpoint' ) ) {
    require JLTMA_MCB_PLUGIN_PATH . 'class-master-custom-breakpoint.php';
    register_activation_hook( __FILE__, array('\\MasterCustomBreakPoint\\JLTMA_Master_Custom_Breakpoint', 'jltma_mcb_plugin_activation_hook') );
}